## thinkpad 3.5-1

=== Makefile ===

all: 
	make -C drivers

VER_RELEASE=3.5

DIR_MOD=/lib/modules
DIR_MOD_VER=$(DIR_MOD)/$(shell uname -r)
DIR_MODUTILS=/sbin
KSRC=$(DIR_MOD_VER)/build
DIR_TMP=/tmp
DIR_SRC=thinkpad-$(VER_RELEASE)
FILE_TARBALL=thinkpad_$(VER_RELEASE).tar.gz

install: uninstall_modules install_modules

uninstall: uninstall_modules

modules_install: install_modules

install_modules:
	if [ ! -d $(DIR_MOD_VER)/thinkpad ]; then mkdir -p -m 755 $(DIR_MOD_VER)/thinkpad ; fi
	install -m 444 -o 0 -g 0 drivers/thinkpad.o $(DIR_MOD_VER)/thinkpad/thinkpad.o
	install -m 444 -o 0 -g 0 drivers/smapi.o $(DIR_MOD_VER)/thinkpad/smapi.o
	install -m 444 -o 0 -g 0 drivers/superio.o $(DIR_MOD_VER)/thinkpad/superio.o
	install -m 444 -o 0 -g 0 drivers/rtcmosram.o $(DIR_MOD_VER)/thinkpad/rtcmosram.o
	install -m 444 -o 0 -g 0 drivers/thinkpadpm.o $(DIR_MOD_VER)/thinkpad/thinkpadpm.o
	depmod -a

uninstall_modules:
	$(DIR_MODUTILS)/modprobe -r smapi
	$(DIR_MODUTILS)/modprobe -r superio
	$(DIR_MODUTILS)/modprobe -r rtcmosram
	$(DIR_MODUTILS)/modprobe -r thinkpadpm
	$(DIR_MODUTILS)/modprobe -r thinkpad
	rm -vrf $(DIR_MOD_VER)/thinkpad

depend:

kdist_clean: clean

clean:
	@for dir in drivers ; do make -C $$dir clean ; done
	@echo Cleaning complete.

tarball: clean
	debian/rules clean
	rm -vrf $(DIR_TMP)/$(DIR_SRC)
	mkdir $(DIR_TMP)/$(DIR_SRC)
	cp -vLprf AUTHORS COPYING README SUPPORTED-MODELS TECHNOTES ChangeLog Makefile* man drivers include 2.2 debian $(DIR_TMP)/$(DIR_SRC)
	chown -R root.root $(DIR_TMP)/$(DIR_SRC)
	rm -vf $(DIR_TMP)/$(FILE_TARBALL)
	sh -c "cd $(DIR_TMP) ; /bin/tar -zcvf $(FILE_TARBALL) $(DIR_SRC)"
	@echo Tarball $(DIR_TMP)/$(FILE_TARBALL) has been created.
	rm -rf $(DIR_TMP)/$(DIR_SRC)

debs:
	debian/rules clean
	debian/rules binary
