=== debian/changelog ===
thinkpad (3.5-1) unstable; urgency=medium

  * New upstream (updated docs)
  * Tweak thinkpad-base scripts: postinst, config

 -- Thomas Hood <jdthood@yahoo.co.uk>  Mon,  8 Apr 2002 22:14:33 -0400

thinkpad (3.4-1) unstable; urgency=medium

  * -modules postrm: Don't fail if depmod -a has nonzero exit status
  * -base postrm: Don't remove thinkpad group on purge
  * -base postinst: Create thinkpad device in a more policy-kosher way

 -- Thomas Hood <jdthood@yahoo.co.uk>  Thu,  4 Apr 2002 13:40:33 -0500

thinkpad (3.3-1) unstable; urgency=low

  * New upstream with tweaked man pages
  * Add prerm's
  * Clean up maintainer scripts
  * Kidnap or rename old /etc/modutils/tpctl file
  * Put README in thinkpad-base instead of thinkpad-source
  * Update descriptions
  * Eliminate Conficts with tpctl (<< 3.0) -- this will allow for
    clean dist-upgrade from potato.  thinkpad-modules-* now
    described as enhancing tpctl (>= 3.0)
  * Tweak debconf stuff
  * Update maintainer's e-mail address in some places
  * Close dead bug report (Closes: #114534)

 -- Thomas Hood <jdthood@yahoo.co.uk>  Wed, 27 Mar 2002 10:00:00 -0500

thinkpad (3.2-3) unstable; urgency=high

  * Don't remove device file in postrm (Policy 11.6)

 -- Thomas Hood <jdthood@yahoo.co.uk>  Mon, 11 Mar 2002 17:16:23 -0500

thinkpad (3.2-2) unstable; urgency=high

  * Eliminate build-essential packages from Build-Depends
  * Requre debhelper version >= 3.4.1

 -- Thomas Hood <jdthood@yahoo.co.uk>  Sun, 11 Mar 2002 15:00:00 -0500

thinkpad (3.2-1) unstable; urgency=high

  * New upstream
  * Add min version to debhelper build dependency
  * Use hyphen instead of underscore in build dir name
  * Update copyright file
  * Use debconf to ask whether to create the device file

 -- Thomas Hood <jdthood@yahoo.co.uk>  Sat, 10 Mar 2002 12:00:00 -0500

thinkpad (3.1-8) unstable; urgency=high

  * New maintainer
  * Upstream has split the tpctl sources into two tarballs, of
    which thinkpad is one.  From the latter we build two packages:
    thinkpad-base and thinkpad-source.
  * Deal differently with device file (Closes: #111283)
  * Don't unpack tarball (Closes: #82980)
  * Make lintian clean
  * Generate thinkpad-base and thinkpad-source binaries from one source
  * Name both conffiles '.../thinkpad'
  * Package all upstream docs
  * Update Standards Version to 3.5.6
  * Fix dependencies

 -- Thomas Hood <jdthood@yahoo.co.uk>  Sat, 6 Mar 2002 12:00:00 -0500

tpctl (2.5-6) unstable; urgency=low

  * just create a thinkpad group, not a user too
  * delete user in postinst
  * make postinst/postrm scripts in tpctl-modules-source executable

 -- Adrian Bridgett <bridgett@debian.org>  Sun,  2 Dec 2001 14:22:47 +0000

tpctl (2.5-5) unstable; urgency=low

  * fix typo in debconf (db_input medium foo/i_like_debian wasn't really
    what I wanted to ask!)
  * pass --no-create-home to adduser

 -- Adrian Bridgett <bridgett@debian.org>  Sun, 14 Oct 2001 15:22:33 +0100

tpctl (2.5-4) unstable; urgency=low

  * someone I had managed to duplicate duplicate the INFO-BIOS file

 -- Adrian Bridgett <bridgett@debian.org>  Thu,  9 Aug 2001 21:00:49 +0100

tpctl (2.5-3) unstable; urgency=low

  * remove "this doesn't work on 2.4.x" note - it does now (closes: #108129)
  * add missing newline to conffiles file (closes: #108079)
  * as part of the above bug, module parameters have now changed
  * create thinkpad group on installation for devfs
  * add TECHNOTES and AUTHORS to package

 -- Adrian Bridgett <bridgett@debian.org>  Thu,  9 Aug 2001 20:31:13 +0100

tpctl (2.5-2) unstable; urgency=low

  * add devfs support thanks to Chris Halls and Thomas Hood (closes: #107352)

 -- Adrian Bridgett <bridgett@debian.org>  Tue,  7 Aug 2001 22:44:52 +0100

tpctl (2.5-1) unstable; urgency=low

  * new upstream

 -- Adrian Bridgett <bridgett@debian.org>  Tue, 31 Jul 2001 22:53:16 +0100

tpctl (2.4-3) unstable; urgency=low

  * include INFO-BIOS in .deb not just the .diff.gz! (closes: #95577)

 -- Adrian Bridgett <bridgett@debian.org>  Sun, 29 Apr 2001 20:43:30 +0100

tpctl (2.4-2) unstable; urgency=low

  * included missing INFO-BIOS file (thanks Thomas)
  * removed hdparm from Suggests (closes: #94203).  The libc6 dependency is
    picked up automatically from the one provided by libc6.  Just one of
    those things I'm afraid (tm)

 -- Adrian Bridgett <bridgett@debian.org>  Tue, 17 Apr 2001 22:41:15 +0100

tpctl (2.4-1) unstable; urgency=low

  * new upstream for 2.4 kernels, but fortunately these programs will work
    with 1.0 tpctl-modules.  Well done Thomas!  We enclose the 1.0 kernel
    source (for 2.2 kernels) and decide at compile time which set to build
    (closes: #88137,#89142,#92631).
  * spanish templates file (closes: #92320)
  * fix brackets in thinkpad.c (not that you will use the 2.2 source on 2.4
    kernel now, but still - this is Open Source and we do the right thing
    (TM))
  * new upstream location
  * remove dh_suidregister call
  * call 822-date without arguments

 -- Adrian Bridgett <bridgett@debian.org>  Mon, 16 Apr 2001 20:30:42 +0100

tpctl (1.0-3) unstable; urgency=low

  * use 822-date not date to build kernel modules, added dpkg-dev dependency
    (closes: #88970)
  * added note about this version not working on 2.4.x kernels
  * added German template file (closes: #84841)
  * trimmed TODO file down (closes: #82467)
  * kdist_clean exists (since at least 1.0-2) (closes: #89132)
  * change Makefile_common's idea of DIR_KERNEL to /usr/src/linux

 -- Adrian Bridgett <bridgett@debian.org>  Mon, 19 Mar 2001 20:52:44 +0000

tpctl (1.0-2) unstable; urgency=low

  * tidy up tpctl-modules-source rules files - this should now always get
    the kernel version correct. changed buildpkg to match
    (closes: #77564, #71839)
  * tpctl-modules-source is now unpacked
  * old bugs already fixed (closes: #66818, #75820, #76852)

 -- Adrian Bridgett <bridgett@debian.org>  Tue, 26 Dec 2000 20:03:02 +0000

tpctl (1.0-1) unstable; urgency=low


