=== debian/control ===
Source: thinkpad
Section: utils
Priority: extra
Maintainer: Thomas Hood <jdthood@yahoo.co.uk>
Build-Depends: debhelper (>= 3.4.1)
Standards-Version: 3.5.6

Package: thinkpad-base
Architecture: i386
Replaces: tpctl (<< 3.0)
Depends: modutils, ${misc:Depends}
Suggests: devfsd
Description: Configuration files for thinkpad-modules packages
 This package contains configuration files required by any of the
 thinkpad-modules-some.kern.ver packages.  If necessary it
 creates the "thinkpad" group and the /dev/thinkpad device file.

Package: thinkpad-source
Architecture: i386
Conflicts: tpctl-source, tpctl-modules-source
Replaces: tpctl-source, tpctl-modules-source
Depends: make, debhelper (>= 3.4.1), gcc | c-compiler
Recommends: kernel-package, dpkg-dev
Description: Source code for thinkpad-modules packages
 This package contains the source code for the loadable driver
 modules used by the tpctl utility for configuring IBM ThinkPad
 laptop computers.  Included are the sources for drivers of the
 Super I/O and RT/CMOS RAM chips, for an interface to the IBM
 ThinkPad SMAPI BIOS, and for an interface to the ThinkPad APM
 subsystem.
 .
 Usually one uses the make-kpkg utility to generate from these
 sources thinkpad-modules-some.kern.ver packages for given
 kernels.
