## thinkpad 4.3

=== Makefile ===
--- 
+++ 
@@ -2,15 +2,14 @@
 all: 
 	make -C drivers
 
-VER_RELEASE=3.5
+VER_RELEASE:=4.3
 
-DIR_MOD=/lib/modules
-DIR_MOD_VER=$(DIR_MOD)/$(shell uname -r)
-DIR_MODUTILS=/sbin
-KSRC=$(DIR_MOD_VER)/build
-DIR_TMP=/tmp
-DIR_SRC=thinkpad-$(VER_RELEASE)
-FILE_TARBALL=thinkpad_$(VER_RELEASE).tar.gz
+DIR_MOD:=/lib/modules
+DIR_MOD_VER:=$(DIR_MOD)/$(shell uname -r)
+DIR_MODUTILS:=/sbin
+DIR_TMP:=/tmp
+DIR_SRC:=thinkpad-$(VER_RELEASE)
+FILE_TARBALL:=thinkpad_$(VER_RELEASE).tar.gz
 
 install: uninstall_modules install_modules
 
@@ -47,13 +46,13 @@
 	debian/rules clean
 	rm -vrf $(DIR_TMP)/$(DIR_SRC)
 	mkdir $(DIR_TMP)/$(DIR_SRC)
-	cp -vLprf AUTHORS COPYING README SUPPORTED-MODELS TECHNOTES ChangeLog Makefile* man drivers include 2.2 debian $(DIR_TMP)/$(DIR_SRC)
+	cp -vLprf AUTHORS COPYING README SUPPORTED-MODELS TECHNOTES ChangeLog Makefile* man drivers include 2.2 2.4 debian $(DIR_TMP)/$(DIR_SRC)
 	chown -R root.root $(DIR_TMP)/$(DIR_SRC)
 	rm -vf $(DIR_TMP)/$(FILE_TARBALL)
 	sh -c "cd $(DIR_TMP) ; /bin/tar -zcvf $(FILE_TARBALL) $(DIR_SRC)"
 	@echo Tarball $(DIR_TMP)/$(FILE_TARBALL) has been created.
 	rm -rf $(DIR_TMP)/$(DIR_SRC)
 
-debs:
+debs: clean
 	debian/rules clean
 	debian/rules binary
