=== debian/changelog ===
thinkpad (4.3-1) unstable; urgency=low

  * New upstream.  See ChangeLog file.

 -- Thomas Hood <jdthood@yahoo.co.uk>  Fri, 21 Mar 2003 09:43:31 +0100

thinkpad (4.1-2) unstable; urgency=low

  * /proc/thinkpad/<module_name>  =>  /proc/driver/thinkpad/<module_name>
    in README

 -- Thomas Hood <jdthood@thanatos>  Sat, 30 Nov 2002 14:40:08 +0100

thinkpad (4.1-1) unstable; urgency=low

  * New upstream.  Some work was done toward supporting Linux 2.5.
  * Standards-Version: 3.5.8
  * Add support for make-kpkg --rootcmd=fakeroot (closes: #169309)
  * To make linda happy:
      #!/bin/sh -e  =>  #!/bin/sh\nset -e

 -- Thomas Hood <jdthood@yahoo.co.uk>  Fri, 20 Nov 2002 12:00:00 +0100

thinkpad (4.0-1) unstable; urgency=high

  * New upstream.
    The drivers should now work with systems that use devfs-enabled
    kernels but traditional device nodes (Closes: #163689).
    thinkpadpm now aborts on load if APM is disabled (Closes: #165933).
  * Update thinkpad-source description and thinkpad-source
    README.Debian to say which kernels are supported -- namely,
    2.2 kernels and 2.4 kernels from 2.4.19 on.
  * Standards-Version: 3.5.7
  * Use dh_installdebconf before other dh_ commands and put
    #DEBCONF# before custom stuff in thinkpad-base.postrm .
    This ensures that the debconf bit comes before the others in
    the postrm.  Since the debconf bit calls the postrm itself,
    it has to be the first bit, otherwise the other parts of the
    postrm get executed twice.
  * Update debconf template to reflect new default device node name
  * Update thinkpad-base description to reflect new default device
    node name

 -- Thomas Hood <jdthood@yahoo.co.uk>  Sat, 26 Oct 2002 20:00:00 +0200

thinkpad (3.7-1) unstable; urgency=low

  * Don't clobber KSRC in Makefiles (Closes: #147918)
  * Update /usr/doc/thinkpad-source/README.Debian to tell user that
    he must generate modversions.h before building thinkpad-modules.

 -- Thomas Hood <jdthood@yahoo.co.uk>  Tue, 7 Aug 2002 12:00:00 -0400

thinkpad (3.6-1) unstable; urgency=high

  * Add dependency on makedev
  * Add Spanish translation of debconf note to thinkpad-base.templates
    --- Thanks to Daniel H. Perez!

 -- Thomas Hood <jdthood@yahoo.co.uk>  Mon, 22 Apr 2002 21:44:20 -0400
