=== debian/control ===
--- 
+++ 
@@ -3,17 +3,17 @@
 Priority: extra
 Maintainer: Thomas Hood <jdthood@yahoo.co.uk>
 Build-Depends: debhelper (>= 3.4.1)
-Standards-Version: 3.5.6
+Standards-Version: 3.5.8
 
 Package: thinkpad-base
 Architecture: i386
 Replaces: tpctl (<< 3.0)
-Depends: modutils, ${misc:Depends}
+Depends: makedev, modutils, ${misc:Depends}
 Suggests: devfsd
 Description: Configuration files for thinkpad-modules packages
- This package contains configuration files required by any of the
- thinkpad-modules-some.kern.ver packages.  If necessary it
- creates the "thinkpad" group and the /dev/thinkpad device file.
+ This package contains configuration files required by any of
+ the thinkpad-modules-some.kern.ver packages.  If necessary it
+ creates the "thinkpad" group and device node.
 
 Package: thinkpad-source
 Architecture: i386
@@ -29,6 +29,10 @@
  ThinkPad SMAPI BIOS, and for an interface to the ThinkPad APM
  subsystem.
  .
- Usually one uses the make-kpkg utility to generate from these
- sources thinkpad-modules-some.kern.ver packages for given
- kernels.
+ Usually one uses the make-kpkg utility to generate
+ thinkpad-modules-some.kern.ver packages from these sources.
+ .
+ The drivers work with kernel 2.4.19 and later.  Drivers other
+ than the APM-interface driver work with late 2.2 kernels.
+ Kernels 2.3.0 through 2.4.18 and kernels prior to 2.2 are not
+ supported.
