=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 
 # This script uses debhelper by Joey Hess
 # Portions grabbed from device3dfx-source Copyright (C) 1999 Steve Haslam
+
 export DH_VERBOSE=1
 export DH_COMPAT=3
 # enables magic below
@@ -20,13 +21,12 @@
 
 clean:
 	dh_testdir
-	dh_testroot
 	dh_clean
 
 build:
 	dh_testdir
 
-binary-indep: build
+binary-indep:
 
 binary-arch: build
 	dh_testdir
@@ -38,9 +38,10 @@
 	dh_installman -pthinkpad-base man/thinkpad.4
 	#
 	# set up -source tree
-	dh_installdirs -pthinkpad-source usr/src/modules/thinkpad/debian usr/src/modules/thinkpad/2.4
-	cp -a drivers include $(DRIVERTREE)/2.4
+	dh_installdirs -pthinkpad-source usr/src/modules/thinkpad/debian usr/src/modules/thinkpad/2.5
+	cp -a drivers include $(DRIVERTREE)/2.5
 	cp -a 2.2 $(DRIVERTREE)
+	cp -a 2.4 $(DRIVERTREE)
 	cp -a debian/thinkpad-modules.d/* debian/copyright $(DRIVERTREE)/debian
 	chmod +x $(DRIVERTREE)/debian/rules $(DRIVERTREE)/debian/buildpkg
 	sed -e "s!\$$OURVERSION!$(OURVERSION)!" debian/thinkpad-modules.changelog.sed > $(DRIVERTREE)/debian/changelog.sed
@@ -50,11 +51,11 @@
 	tar -C $(DESTDIR_SOURCE)/usr/src -c -v -z -f $(DESTDIR_SOURCE)/usr/src/thinkpad.tar.gz modules/thinkpad
 	rm -r $(DESTDIR_SOURCE)/usr/src/modules
 	#
+	dh_installdebconf
 	dh_installmodules
 	mv $(DESTDIR_BASE)/etc/modutils/thinkpad-base $(DESTDIR_BASE)/etc/modutils/thinkpad
 	dh_installdocs README TECHNOTES
 	dh_installchangelogs ChangeLog
-	dh_installdebconf
 	dh_strip
 	dh_compress
 	dh_fixperms
@@ -64,4 +65,5 @@
 	dh_builddeb
 
 binary:	binary-indep binary-arch
+
 .PHONY: build clean binary-indep binary-arch binary
