## thinkpad 4.8

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,14 @@
+
+# Before building anything, you have to select the kernel series
+# for which you want to build drivers: 2.2, 2.4 or 2.6 .
+# To select kernel series x.y, do the following:
+#     ln -s x.y/drivers .
+#     ln -s x.y/include .
 
 all: 
 	make -C drivers
 
-VER_RELEASE:=4.3
+VER_RELEASE:=4.8
 
 DIR_MOD:=/lib/modules
 DIR_MOD_VER:=$(DIR_MOD)/$(shell uname -r)
@@ -39,15 +45,15 @@
 kdist_clean: clean
 
 clean:
-	@for dir in drivers ; do make -C $$dir clean ; done
+	@for dir in 2.2/drivers 2.4/drivers 2.6/drivers ; do make -C $$dir clean ; done
 	@echo Cleaning complete.
 
 tarball: clean
 	debian/rules clean
 	rm -vrf $(DIR_TMP)/$(DIR_SRC)
 	mkdir $(DIR_TMP)/$(DIR_SRC)
-	cp -vLprf AUTHORS COPYING README SUPPORTED-MODELS TECHNOTES ChangeLog Makefile* man drivers include 2.2 2.4 debian $(DIR_TMP)/$(DIR_SRC)
-	chown -R root.root $(DIR_TMP)/$(DIR_SRC)
+	cp -vLprf AUTHORS COPYING README SUPPORTED-MODELS TECHNOTES ChangeLog Makefile* man 2.2 2.4 2.6 debian $(DIR_TMP)/$(DIR_SRC)
+	chown -R root:root $(DIR_TMP)/$(DIR_SRC)
 	rm -vf $(DIR_TMP)/$(FILE_TARBALL)
 	sh -c "cd $(DIR_TMP) ; /bin/tar -zcvf $(FILE_TARBALL) $(DIR_SRC)"
 	@echo Tarball $(DIR_TMP)/$(FILE_TARBALL) has been created.
