=== debian/changelog ===
thinkpad (4.8-1) unstable; urgency=low

  * debian/po/ja.po
    * Add.  (Closes: #210724)  Thanks to Kenshi Muto.
  * debian/thinkpad-modules.d/control.sed
    * Add Source: line  (Closes: #212558)

 -- Thomas Hood <jdthood@yahoo.co.uk>  Wed, 24 Sep 2003 14:01:48 +0200

thinkpad (4.7-1) unstable; urgency=low

  * debian/po/nl.po
    * Add  (Closes: #209097).  Met dank aan Tim Vandermeersch.
  * debian/thinkpad-modules.d/rules
    Clean up and make it easy to generate a changes file
  * debian/rules:
    Make use of dh_installmodules's new --name option.  Thanks to
    Joey Hess for implementing this.
  * debian/postinst:
    * Delete old thinkpad and smapi device nodes before MAKEDEV
  * debian/control:
    * Build-Depend on debhelper 4.1.68 because of above
    * Standards-Version: 3.6.1  (No changes required)

 -- Thomas Hood <jdthood@yahoo.co.uk>  Thu,  7 Aug 2003 18:43:03 +0200

thinkpad (4.6-1) unstable; urgency=low

  * New upstream
  * Standardized debian copyright file
  * Gettextize Debian template.  (Closes: #201338)
  * Ajouter fr.po  (Closes: #201559).  Merci  Michel Grentzinger.
  * debian/control
    * Depend on more recent dephelper which Depends on po-debconf
    * Standards-Version: 3.6.0  (No changes required)
    * -base Recommends thinkpad-source (>= 4.0) and thinkpad4-modules
      which -modules packages provide.

 -- Thomas Hood <jdthood@yahoo.co.uk>  Tue, 24 Jun 2003 23:20:40 +0200

thinkpad (4.4-1) unstable; urgency=low

  * Standards-Version: 3.5.9
  * Add --system option to addgroup in thinkpad-base postinst
   (Closes: #189834)

 -- Thomas Hood <jdthood@yahoo.co.uk>  Sun, 20 Apr 2003 19:51:48 +0200
