=== debian/control ===
Source: thinkpad
Section: utils
Priority: extra
Maintainer: Thomas Hood <jdthood@yahoo.co.uk>
Build-Depends: debhelper (>= 4.1.68)
Standards-Version: 3.6.1

Package: thinkpad-base
Architecture: i386
Depends: makedev, modutils, ${misc:Depends}
Recommends: thinkpad-source (>= 4.0), thinkpad4-modules
Suggests: devfsd
Conflicts: tpctl (<< 3.0)
Replaces: tpctl (<< 3.0)
Description: Configuration files for thinkpad-modules packages
 This package contains configuration files required by any of
 the thinkpad-modules-some.kern.ver packages.  If necessary it
 creates the "thinkpad" group and device node.

Package: thinkpad-source
Architecture: i386
Depends: make, debhelper (>= 4.1.17), gcc | c-compiler
Recommends: kernel-package | dpkg-dev, devscripts
Conflicts: tpctl-source, tpctl-modules-source
Replaces: tpctl-source, tpctl-modules-source
Description: Source code for thinkpad-modules packages
 This package contains the source code for the loadable driver
 modules used by the tpctl utility for configuring IBM ThinkPad
 laptop computers.  Included are the sources for drivers of the
 Super I/O and RT/CMOS RAM chips, for an interface to the IBM
 ThinkPad SMAPI BIOS, and for an interface to the ThinkPad APM
 subsystem.
 .
 Usually one uses the make-kpkg utility to generate
 thinkpad-modules-some.kern.ver packages from these sources.
 .
 The drivers work with Linux 2.4 version 2.4.19 or later.
 Drivers other than the APM-interface driver work with late 2.2
 kernels.  Kernels 2.3.0 through 2.4.18, and prior to 2.2 are not
 supported.  Kernels 2.5 and up are not yet supported.
