=== debian/rules ===
--- 
+++ 
@@ -34,26 +34,25 @@
 	#
 	# set up -base tree
 	dh_installdirs -pthinkpad-base etc/devfs/conf.d
-	cp debian/thinkpad-base.devfs $(DESTDIR_BASE)/etc/devfs/conf.d/thinkpad
+	cp debian/thinkpad-base.thinkpad.devfs $(DESTDIR_BASE)/etc/devfs/conf.d/thinkpad
 	dh_installman -pthinkpad-base man/thinkpad.4
 	#
 	# set up -source tree
 	dh_installdirs -pthinkpad-source usr/src/modules/thinkpad/debian usr/src/modules/thinkpad/2.5
-	cp -a drivers include $(DRIVERTREE)/2.5
 	cp -a 2.2 $(DRIVERTREE)
 	cp -a 2.4 $(DRIVERTREE)
+	cp -a 2.6 $(DRIVERTREE)
 	cp -a debian/thinkpad-modules.d/* debian/copyright $(DRIVERTREE)/debian
 	chmod +x $(DRIVERTREE)/debian/rules $(DRIVERTREE)/debian/buildpkg
 	sed -e "s!\$$OURVERSION!$(OURVERSION)!" debian/thinkpad-modules.changelog.sed > $(DRIVERTREE)/debian/changelog.sed
 	cat debian/changelog >> $(DRIVERTREE)/debian/changelog.sed
-	chown -R root.src $(DRIVERTREE)
+	chown -R root:src $(DRIVERTREE)
 	find $(DRIVERTREE) -type d | xargs chmod 775
 	tar -C $(DESTDIR_SOURCE)/usr/src -c -v -z -f $(DESTDIR_SOURCE)/usr/src/thinkpad.tar.gz modules/thinkpad
 	rm -r $(DESTDIR_SOURCE)/usr/src/modules
 	#
 	dh_installdebconf
-	dh_installmodules
-	mv $(DESTDIR_BASE)/etc/modutils/thinkpad-base $(DESTDIR_BASE)/etc/modutils/thinkpad
+	dh_installmodules --name=thinkpad
 	dh_installdocs README TECHNOTES
 	dh_installchangelogs ChangeLog
 	dh_strip
