## thinkpad 5.5

=== Makefile ===

VER_RELEASE:=5.5

KVERS:=$(shell uname -r)
KTYPE:=$(shell echo $(KVERS) | sed -e 's/^\([2-9].[0-9]\).*/\1/' )
ifeq ($(KTYPE),2.6)
	MODSUF := ko
else
	MODSUF := o
endif

DIR_MOD:=/lib/modules
DIR_MOD_VER:=$(DIR_MOD)/$(shell uname -r)
DIR_MODUTILS:=/sbin
DIR_TMP:=/tmp
DIR_SRC:=thinkpad-$(VER_RELEASE)
FILE_TARBALL:=thinkpad_$(VER_RELEASE).tar.gz

all:
	make -C $(KTYPE)/drivers
	


install: uninstall_modules install_modules

uninstall: uninstall_modules

modules_install: install_modules

install_modules:
	if [ ! -d $(DIR_MOD_VER)/thinkpad ]; then mkdir -p -m 755 $(DIR_MOD_VER)/thinkpad ; fi
	install -m 444 -o 0 -g 0 $(KTYPE)/drivers/thinkpad.$(MODSUF) $(DIR_MOD_VER)/thinkpad/thinkpad.$(MODSUF)
	install -m 444 -o 0 -g 0 $(KTYPE)/drivers/smapi.$(MODSUF) $(DIR_MOD_VER)/thinkpad/smapi.$(MODSUF)
	install -m 444 -o 0 -g 0 $(KTYPE)/drivers/superio.$(MODSUF) $(DIR_MOD_VER)/thinkpad/superio.$(MODSUF)
	install -m 444 -o 0 -g 0 $(KTYPE)/drivers/rtcmosram.$(MODSUF) $(DIR_MOD_VER)/thinkpad/rtcmosram.$(MODSUF)
	install -m 444 -o 0 -g 0 $(KTYPE)/drivers/thinkpadpm.$(MODSUF) $(DIR_MOD_VER)/thinkpad/thinkpadpm.$(MODSUF)
	depmod -a

uninstall_modules:
	$(DIR_MODUTILS)/modprobe -r smapi || true
	$(DIR_MODUTILS)/modprobe -r superio || true
	$(DIR_MODUTILS)/modprobe -r rtcmosram || true
	$(DIR_MODUTILS)/modprobe -r thinkpadpm || true
	$(DIR_MODUTILS)/modprobe -r thinkpad || true
	cd $(DIR_MOD_VER) && { rm -vf thinkpad/* ; rmdir thinkpad ; }

depend:

kdist_clean: clean

clean:
	@for dir in 2.2/drivers 2.4/drivers 2.6/drivers ; do make -C $$dir clean ; done
	@echo Cleaning complete.
