## thinkpad 5.8

=== Makefile ===
--- 
+++ 
@@ -23,6 +23,11 @@
 
 install: uninstall_modules install_modules
 
+# Do this if you're not using devfs
+device:
+ 	mkdir --mode=755 /dev/thinkpad
+	mknod --mode=644 /dev/thinkpad/thinkpad c 10 170
+
 uninstall: uninstall_modules
 
 modules_install: install_modules
@@ -42,7 +47,7 @@
 	$(DIR_MODUTILS)/modprobe -r rtcmosram || true
 	$(DIR_MODUTILS)/modprobe -r thinkpadpm || true
 	$(DIR_MODUTILS)/modprobe -r thinkpad || true
-	cd $(DIR_MOD_VER) && { rm -vf thinkpad/* ; rmdir thinkpad ; }
+	-cd $(DIR_MOD_VER) && { rm -vf thinkpad/* ; rmdir thinkpad ; }
 
 depend:
