=== 2.2/drivers/Makefile ===
--- 
+++ 
@@ -3,10 +3,9 @@
 
 include ../Makefile_common
 
-CFLAGS := -I$(KSRC)/include -I../include -Wall -Wcast-align -Wstrict-prototypes -DLINUX -O2
+CFLAGS:=-I$(KSRC)/include -I../include -Wall -Wcast-align -Wstrict-prototypes -DLINUX -O2
 
-MODCFLAGS := $(CFLAGS) -O -DMODULE -D__KERNEL__
-
+MODCFLAGS:=$(CFLAGS) -O -DMODULE -D__KERNEL__
 
 thinkpad.o: thinkpad.c ../include/thinkpad_common.h ../include/thinkpad_mod_defines.h ../include/thinkpad.h
 	$(CC) $(MODCFLAGS) -o $@ -c thinkpad.c
