## thinkpad 5.9

=== 2.4/drivers/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 
-all: thinkpad.o smapi.o superio.o rtcmosram.o thinkpadpm.o
+all: thinkpad.o smapi.o superio.o rtcmosram.o
 
 DIR_MODULES=/lib/modules
 DIR_MODULES_VER=$(DIR_MODULES)/$(shell uname -r)
