=== 2.6/drivers/Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 EXTRA_CFLAGS := -Wall -Wcast-align -Wstrict-prototypes -O2 -DLINUX -I$(SUBDIRS)/../include
 endif
 
-obj-m		:= thinkpad.o smapi.o superio.o rtcmosram.o thinkpadpm.o
+obj-m		:= thinkpad.o smapi.o superio.o rtcmosram.o
 smapi-objs	:= smapi_core.o smapi_call.o
 clean-files	:= $(smapi-objs) $(obj-m)
 
@@ -32,7 +32,6 @@
 	install -m 444 -o 0 -g 0 smapi.ko      $(MODULESROOT)/thinkpad/smapi.ko
 	install -m 444 -o 0 -g 0 superio.ko    $(MODULESROOT)/thinkpad/superio.ko
 	install -m 444 -o 0 -g 0 rtcmosram.ko  $(MODULESROOT)/thinkpad/rtcmosram.ko
-	install -m 444 -o 0 -g 0 thinkpadpm.ko $(MODULESROOT)/thinkpad/thinkpadpm.ko
 	depmod -a
 
 .PHONY: default clean install
